set_therm(8)

NAME
set_therm - NetWinder fan speed control utility

SYNOPSIS
/sbin/set_therm HI [LO]

DESCRIPTION
The NetWinder has an on-board temperature sensor that monitors the board temperature to prevent overheating of the CPU. This utility sets the threshold temperatures which the NetWinder fan will switch between LO to HI speed so as to maintain the temperature in the prescribed range. Note that this program only sets the thresholds; in order to start the fan, the fan_ctrl(8) utility must be used.

OPTIONS

HI  The temperature, in degrees Celsius, at which the fan will switch to HI speed. Must lie in the range of -55 to 125 and must be greater than the LO limit.

LO  The temperature, in degrees Celsius, at which the fan will switch to LO speed. Must lie in the range of -55 to 125 and must not exceed the HI limit.

FILES
/sbin/set_therm /man/man8/set_therm.8

SEE ALSO
fan_ctrl(8),

DIAGNOSTICS
The program requires a char device node /dev/temperature with major=10, minor=131 to interface with the therm device driver, which must be compiled into the Kernel. Previous versions of this tool used /dev/therm with other major and minor numbers. They should be replaced. The proper device node can be created with the command

mknod -m666 /dev/temperature c 10 131

This program may only be run by the super-user, and will fail with a "permission denied" error message if run by non-root. The error message "operation not supported" indicates the use of the wrong device node (see above) or a kernel without therm driver support compiled in.

AUTHOR
The program is written by Woody Suwalski <woody@corelcomputer.com>, and the man page was written by Ralph Siemsen <ralphs@corelcomputer.com>. Both are distributed under the terms of the GPL.